Page MenuHomePhabricator

Assign ownership of newsletter to another user
Closed, ResolvedPublic

Description

Considering a scenario where the owner of the newsletter no more wants to continue as the owner and needs to handover the ownership of the newsletter.

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterRestrict adding publishers to 'newsletter-addpublisher' right
mediawiki/extensions/Newsletter : masterRemove ownership system from Newsletter

Event Timeline

Tinaj1234 created this task.Aug 8 2015, 4:55 PM
Tinaj1234 claimed this task.
Tinaj1234 raised the priority of this task from to Low.
Tinaj1234 updated the task description. (Show Details)
Tinaj1234 added subscribers: Tinaj1234, Qgil, 01tonythomas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 4:55 PM

How about just getting rid of the concept of owners entirely? That would make things a lot simpler. Currently, it looks like the only purpose of owners is to assign publishers. IMO, we should add a new right for letting privileged users add publishers to newsletters. This would be more in line with MediaWiki's user permissions system.

Qgil raised the priority of this task from Low to Medium.Aug 28 2015, 11:37 AM
Qgil added a comment.Sep 3 2015, 10:53 AM

Yes, reducing permissions to Publishers might make sense. We still have the problem of what happens when there are no Publishers active, who can give permissions to new publishers. I guess the admins of the site can always act?

Change 238753 had a related patch set uploaded (by Tinaj1234):
Add new user rights to Newsletter extension

https://gerrit.wikimedia.org/r/238753

Change 238753 merged by jenkins-bot:
Restrict adding publishers to 'newsletter-addpublisher' right

https://gerrit.wikimedia.org/r/238753

Change 240750 had a related patch set uploaded (by Glaisher):
Remove ownership system from Newsletter

https://gerrit.wikimedia.org/r/240750

Note: Restrict adding publishers to 'newsletter-addpublisher' right checks need to also happen in the API classes / class

Change 240750 merged by jenkins-bot:
Remove ownership system from Newsletter

https://gerrit.wikimedia.org/r/240750

Tinaj1234 closed this task as Resolved.Oct 1 2015, 11:16 AM
Tinaj1234 set Security to None.